<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Wynik</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie 2</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="block">
    <p>Napisz program, który dla czterech liczb rzeczywistych oblicza i wyświetla ich średnią arytmetyczną. Wynik wyświetl w dwóch postaciach. Bez zaokrąglenia oraz z zaokrągleniem do trzech miejsc po przecinku.</p>
</div>
<div class="block">
    <?php
    $a = is_numeric($_POST['a']) ? (float)$_POST['a'] : 0;
    $b = is_numeric($_POST['b']) ? (float)$_POST['b'] : 0;
    $c = is_numeric($_POST['c']) ? (float)$_POST['c'] : 0;
    $d = is_numeric($_POST['d']) ? (float)$_POST['d'] : 0;

    $wynik = ($a + $b + $c + $d) / 4;
    $wynikZaokraglony = round($wynik, 3);

    echo "<h3>Podane liczby:</h3>";
    echo "<p>A: " . htmlspecialchars($a) . " <br>B: " . htmlspecialchars($b) . " <br>C: " . htmlspecialchars($c) . " <br>D: " . htmlspecialchars($d) . " <br>";
    echo "Średnia: " . htmlspecialchars($wynik) . " <br>";
    echo "Średnia zaokrąglona: " . htmlspecialchars($wynikZaokraglony) . " <br>";
    ?>
</div>
</body>
</html>